package com.tencent.mm.plugin.wallet_core.model;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.pluginsdk.wallet.PayInfo;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.ytcommon.BuildConfig;

public class Authen implements Parcelable {
    public static final Creator<Authen> CREATOR = new 1();
    public int bJt;
    public String country;
    public String dtV;
    public String duc;
    public String dud;
    public String fBg;
    public String gIO;
    public String nuN;
    public PayInfo pGr = new PayInfo();
    public String pbn;
    public String pbo;
    public String tlk;
    public String token;
    public String tuk;
    public int twb = 0;
    public String twc;
    public String twd;
    public String twe;
    public int twf;
    public String twg;
    public String twh;
    public String twi;
    public String twj;
    public String twk;
    public String twl;
    public String twm;
    public String twn;
    public String two;
    public String twp;
    public String twq;
    public String twr;
    public String tws;
    public String twt;
    public int twu;
    public String twv;
    public String tww;

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(46696);
        parcel.writeInt(this.bJt);
        parcel.writeString(bo.bc(this.twc, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.pbn, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.pbo, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twd, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twe, BuildConfig.FLAVOR));
        parcel.writeInt(this.twf);
        parcel.writeString(bo.bc(this.tuk, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twg, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twh, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twi, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.token, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twl, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twm, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.country, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.duc, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.dud, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.fBg, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.nuN, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.gIO, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.dtV, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.tlk, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twn, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.two, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twk, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twp, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twq, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twr, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.tws, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.twt, BuildConfig.FLAVOR));
        parcel.writeInt(bo.a(Integer.valueOf(this.twu), 0));
        parcel.writeString(bo.bc(this.twv, BuildConfig.FLAVOR));
        parcel.writeString(bo.bc(this.tww, BuildConfig.FLAVOR));
        AppMethodBeat.o(46696);
    }

    public Authen() {
        AppMethodBeat.i(46697);
        AppMethodBeat.o(46697);
    }

    public Authen(Parcel parcel) {
        AppMethodBeat.i(46698);
        this.bJt = parcel.readInt();
        this.twc = parcel.readString();
        this.pbn = parcel.readString();
        this.pbo = parcel.readString();
        this.twd = parcel.readString();
        this.twe = parcel.readString();
        this.twf = parcel.readInt();
        this.tuk = parcel.readString();
        this.twg = parcel.readString();
        this.twh = parcel.readString();
        this.twi = parcel.readString();
        this.token = parcel.readString();
        this.twl = parcel.readString();
        this.twm = parcel.readString();
        this.country = parcel.readString();
        this.duc = parcel.readString();
        this.dud = parcel.readString();
        this.fBg = parcel.readString();
        this.nuN = parcel.readString();
        this.gIO = parcel.readString();
        this.dtV = parcel.readString();
        this.tlk = parcel.readString();
        this.twn = parcel.readString();
        this.two = parcel.readString();
        this.twk = parcel.readString();
        this.twp = parcel.readString();
        this.twq = parcel.readString();
        this.twr = parcel.readString();
        this.tws = parcel.readString();
        this.twt = parcel.readString();
        this.twu = parcel.readInt();
        this.twv = parcel.readString();
        this.tww = parcel.readString();
        AppMethodBeat.o(46698);
    }

    static {
        AppMethodBeat.i(46699);
        AppMethodBeat.o(46699);
    }
}
